CVE-2021-39371

Click the icon to Follow me:- twitterTelegramRedditDiscord

Summary:

An XML external entity (XXE) injection in PyWPS before 4.5.0 allows an attacker to view files on the application server filesystem by assigning a path to the entity. OWSLib 0.24.1 may also be affected.

Reference Links(if available):

  • https://github.com/geopython/pywps/pull/616
  • https://github.com/geopython/OWSLib/issues/790
  • https://lists.debian.org/debian-lts-announce/2021/09/msg00001.html
  • CVSS Score (if available)

    v2: / MEDIUMAV:N/AC:L/Au:N/C:P/I:N/A:N

    v3: / HIGHCVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N

    Links to Exploits(if available)

  • Available for Amazon Prime